/* (C) Northwestern University
 * See COPYING in the top-level directory . */
#include "hints.h"

#if 0
int set_hints(struct mpe_events_s *mpe_events_p,
	      struct test_params_s *test_params_p)
{
    switch(test_params_p->io_method)
    {
	case NO_IO_HINT:
	    break;
	case POSIX_IO:
	    MPI_Info_set(test_params_p->info, 
			 "romio_pvfs2_io_method_write", "posix");
	    MPI_Info_set(test_params_p->info, 
			 "romio_ds_write", "disable");
	    MPI_Info_set(test_params_p->info, 
			 "romio_cb_write", "disable");
	    break;
	case DATASIEVE_IO:
	    MPI_Info_set(test_params_p->info, 
			 "romio_pvfs2_io_method_write", "datasieve");
	    MPI_Info_set(test_params_p->info, 
			 "romio_ds_write", "enable");
	    MPI_Info_set(test_params_p->info, 
			 "romio_cb_write", "disable");
	    break;
	case LIST_IO:
	    MPI_Info_set(test_params_p->info, 
			 "romio_pvfs2_io_method_write", "list");
	    MPI_Info_set(test_params_p->info, 
			 "romio_ds_write", "disable");
	    MPI_Info_set(test_params_p->info, 
			 "romio_cb_write", "disable");
	    break;
	case DATATYPE_IO:
	    MPI_Info_set(test_params_p->info, 
			 "romio_pvfs2_io_method_write", "dtype");
	    MPI_Info_set(test_params_p->info, 
			 "romio_ds_write", "disable");
	    MPI_Info_set(test_params_p->info, 
			 "romio_cb_write", "disable");
	    break;
	case COLLECTIVE_IO:
            MPI_Info_set(test_params_p->info, 
			 "romio_cb_write", "enable");
	    break;
	case PANASIS:
	    /* Set to RAID 0 and concurrent write */
	    MPI_Info_set(test_params_p->info,
			 "panfs_layout_type", "2");
	    MPI_Info_set(test_params_p->info,
			 "panfs_concurrent_write", "1");
	    break;
	default:
	    custom_debug(MASTER_ERR, "M:Impossible io_method %d",
			 test_params_p->io_method);
	    return -1;
    }

    switch(test_params_p->lock_method)
    {
	case NO_LOCK_METHOD_HINT:
	    break;
	case POSIX_LOCK:
	    MPI_Info_set(test_params_p->info, 
			 "romio_pvfs2_lock_method_write", "posix");
	    break;
	case LIST_LOCK:
	    MPI_Info_set(test_params_p->info, 
			 "romio_pvfs2_lock_method_write", "list");
	    break;
	case DATATYPE_LOCK:
	    MPI_Info_set(test_params_p->info, 
			 "romio_pvfs2_lock_method_write", "dtype");
	    break;
	default:
	    custom_debug(MASTER_ERR, "M:Impossible lock_method %d",
			 test_params_p->lock_method);
	    return -1;
    }

    switch(test_params_p->lock_protocol)
    {
	case NO_LOCK_PROTOCOL_HINT:
	    break;
	case TWO_PHASE:
	    MPI_Info_set(test_params_p->info, 
			 "romio_pvfs2_lock_protocol", "two_phase");
	    break;
	case ONE_TRY:
	    MPI_Info_set(test_params_p->info, 
			 "romio_pvfs2_lock_protocol", "one_try");
	    break;
	case ALT_TRY:
	    MPI_Info_set(test_params_p->info, 
			 "romio_pvfs2_lock_protocol", "alt_try");
	    break;
	default:
	    custom_debug(MASTER_ERR, "M:Impossible lock_protocol %d",
			 test_params_p->lock_protocol);
	    return -1;
    }

    return 0;
}
#endif
